@Echo off
 REM ************************************************************
 REM 	This Script is for Power Management (DT Project)
 REM
 REM	2012/12/24 Rhea Wei
 REM	 			Installation detect on Factory mode for Acer/PB/GTW. 
 REM

echo. >> c:\windows\system32\oem\patch.log
echo ------ Enter %~dpnx0 on %DATE% %TIME% ------ >> c:\windows\system32\oem\patch.log
for /f "skip=2 tokens=3" %%A in ('reg query HKLM\Software\OEM\Metadata /v Brand') do set Brand=%%A
Echo [Brand] is %Brand% >>C:\Windows\System32\oem\Patch.log
set BrandCheck=%Brand%
If "%Brand%" equ "Packard" (
	set BrandCheck=Packard Bell
)
Echo [BrandCheck] = %BrandCheck% >>C:\Windows\System32\oem\Patch.log
SET @Flag=CHECK
SET Count=0
SET APName=Power Management

call :Re-Install

find /i "FLOW=CD2D_REHDD" C:\OEM\Preload\Command\AlaunchX\NAPP.ini >> c:\windows\system32\oem\patch.log 2>&1
if %errorlevel% EQU 0 (
	echo errorlevel = %errorlevel%, This is CD2D_REHDD Flow, No Need Installation Detect >> c:\windows\system32\oem\patch.log
	SET @Flag=NoCHECK
)

find /i "FLOW=CD2D" C:\OEM\Preload\Command\AlaunchX\NAPP.ini >> c:\windows\system32\oem\patch.log 2>&1
if %errorlevel% EQU 0 (
	echo errorlevel = %errorlevel%, This is CD2D Flow, No Need Installation Detect >> c:\windows\system32\oem\patch.log
	SET @Flag=NoCHECK
)
find /i "FLOW=D2D" C:\OEM\Preload\Command\AlaunchX\NAPP.ini >> c:\windows\system32\oem\patch.log 2>&1
if %errorlevel% EQU 0 (
	echo errorlevel = %errorlevel%, This is D2D Flow, No Need Installation Detect >> c:\windows\system32\oem\patch.log
	SET @Flag=NoCHECK
)
if %@Flag% EQU CHECK (
	echo Flag = %@Flag%, Not D2D or CD2D Flow, Do Installation Detect >> c:\windows\system32\oem\patch.log
	call :Check
)


echo ------ Leave %~dpnx0 on %DATE% %TIME% ------ >> c:\windows\system32\oem\patch.log
echo. >> c:\windows\system32\oem\patch.log
echo. >> c:\windows\system32\oem\patch.log
echo. >> c:\windows\system32\oem\patch.log
exit /b 0








:Re-Install
start /w setup.exe -s -log "c:\oem\powerlog.txt"
cscript.exe _Timeout.vbs 15
exit /b 0


:Check
IF %Count% GEQ 3 call :ERROR && exit /b 0
Set /A Count+=1
Echo Install at %Count%th times >> c:\windows\system32\oem\patch.log

IF NOT EXIST "C:\Program Files\%BrandCheck%\%BrandCheck% Power Management\ePowerTray.exe" (
	echo No Found ePowerTray.exe  >> c:\windows\system32\oem\patch.log
	call :Re-Install
	call :Check
) ELSE (
	echo Install Power Management PASS >> c:\windows\system32\oem\patch.log
)
exit /b 0


:ERROR
echo. >> c:\windows\system32\oem\patch.log
echo. >> c:\windows\system32\oem\patch.log
echo [ERROR] [ERROR] [ERROR] Total try to Reinstall %APName% %Count% times failed >> c:\windows\system32\oem\patch.log
echo [ERROR] [ERROR] [ERROR] Total try to Reinstall %APName% %Count% times failed >> c:\windows\system32\oem\patch.log
echo [ERROR] [ERROR] [ERROR] Total try to Reinstall %APName% %Count% times failed >> c:\windows\system32\oem\patch.log
echo. >> c:\windows\system32\oem\patch.log
echo. >> c:\windows\system32\oem\patch.log
shutdown /r /t 5
pause
exit /b 0